aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-02-21 23:21:17 +0100
committerJustin Lecher <jlec@gentoo.org>2013-02-21 23:21:17 +0100
commit1111c8d5e893afcb2bc06209123164569f4e4894 (patch)
treee4017d93afcd619a325796b28f36fae5cacba139 /sci-physics/openmx
parentsys-cluster/hpl: Use tc-getPKG_CONFIG from toolchain-funcs.eclass instead of ... (diff)
downloadsci-1111c8d5e893afcb2bc06209123164569f4e4894.tar.gz
sci-1111c8d5e893afcb2bc06209123164569f4e4894.tar.bz2
sci-1111c8d5e893afcb2bc06209123164569f4e4894.zip
sci-physics/openmx: Use tc-getPKG_CONFIG from toolchain-funcs.eclass instead of plain pkg-config; add missing dep on virtual/pkgconfig
Package-Manager: portage-2.2.0_alpha163
Diffstat (limited to 'sci-physics/openmx')
-rw-r--r--sci-physics/openmx/ChangeLog5
-rw-r--r--sci-physics/openmx/metadata.xml5
-rw-r--r--sci-physics/openmx/openmx-3.6.ebuild40
3 files changed, 30 insertions, 20 deletions
diff --git a/sci-physics/openmx/ChangeLog b/sci-physics/openmx/ChangeLog
index 37b46f62f..8ae1efdd6 100644
--- a/sci-physics/openmx/ChangeLog
+++ b/sci-physics/openmx/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 21 Feb 2013; Justin Lecher <jlec@gentoo.org> openmx-3.6.ebuild,
+ +metadata.xml:
+ Use tc-getPKG_CONFIG from toolchain-funcs.eclass instead of plain pkg-config;
+ add missing dep on virtual/pkgconfig
+
*openmx-3.6 (17 Jan 2013)
17 Jan 2013; Honza Macháček <Hloupy.Honza@centrum.cz> +openmx-3.6.ebuild:
diff --git a/sci-physics/openmx/metadata.xml b/sci-physics/openmx/metadata.xml
new file mode 100644
index 000000000..897aa2e6b
--- /dev/null
+++ b/sci-physics/openmx/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+</pkgmetadata>
diff --git a/sci-physics/openmx/openmx-3.6.ebuild b/sci-physics/openmx/openmx-3.6.ebuild
index 4f83c2ac4..b4832fd7c 100644
--- a/sci-physics/openmx/openmx-3.6.ebuild
+++ b/sci-physics/openmx/openmx-3.6.ebuild
@@ -6,25 +6,26 @@ EAPI="4"
inherit eutils multilib toolchain-funcs
-DESCRIPTION="Open source package for Material eXplorer using DFT, norm-conserving
-pseudopotentials, and pseudo-atomic localized basis functions."
+DESCRIPTION="Material eXplorer using DFT, norm-conserving pseudopotentials, and pseudo-atomic localized basis functions"
HOMEPAGE="http://www.openmx-square.org/"
-SRC_URI="http://www.openmx-square.org/${PN}${PV}.tar.gz
- http://www.openmx-square.org/bugfixed/11Nov14/patch${PV}.1.tar.gz"
+SRC_URI="
+ http://www.openmx-square.org/${PN}${PV}.tar.gz
+ http://www.openmx-square.org/bugfixed/11Nov14/patch${PV}.1.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="-debug mpi openmp test"
-S="${WORKDIR}/${PN}${PV}"
-RDEPEND="virtual/blas
- virtual/lapack
- sci-libs/fftw:3.0[mpi?,openmp?]
- mpi? ( virtual/mpi )"
+RDEPEND="
+ virtual/blas
+ virtual/lapack
+ sci-libs/fftw:3.0[mpi?,openmp?]
+ mpi? ( virtual/mpi )"
DEPEND="${RDEPEND}
- dev-util/pkgconfig"
+ virtual/pkgconfig"
+S="${WORKDIR}/${PN}${PV}"
pkg_setup() {
if use mpi; then
@@ -49,7 +50,6 @@ src_prepare() {
}
src_configure() {
- CFLAGS="${CFLAGS:- -O3 -funroll-loops -ffast-math}"
local FFTW_FLAVOUR=fftw3
if use openmp; then
FFTW_FLAVOUR=fftw3_omp
@@ -61,26 +61,26 @@ src_configure() {
else
export CFLAGS="${CFLAGS} -Dnompi"
fi
- CFLAGS="${CFLAGS} $(pkg-config --cflags lapack)"
- CFLAGS="${CFLAGS} $(pkg-config --cflags ${FFTW_FLAVOUR})"
+ CFLAGS="${CFLAGS} $($(tc-getPKG_CONFIG) --cflags lapack)"
+ CFLAGS="${CFLAGS} $($(tc-getPKG_CONFIG) --cflags ${FFTW_FLAVOUR})"
export CFLAGS
- local MX_LIB="$(pkg-config --static --libs lapack)"
- local MX_LIB="${MX_LIB} $(pkg-config --static --libs ${FFTW_FLAVOUR})"
+ local MX_LIB="$($(tc-getPKG_CONFIG) --static --libs lapack)"
+ local MX_LIB="${MX_LIB} $($(tc-getPKG_CONFIG) --static --libs ${FFTW_FLAVOUR})"
- sed -i -e "s%^CC *=.*$%CC = ${CC} ${CFLAGS}%" \
+ sed \
+ -e "s%^CC *=.*$%CC = ${CC} ${CFLAGS}%" \
-e "s%^LIB *=.*$%LIB = ${MX_LIB}%" \
- source/makefile
+ -i source/makefile || die
}
src_compile() {
- cd source
- emake || die "make failed"
+ emake -C source
}
src_test() {
cd work
- ../source/openmx -runtest
+ ../source/openmx -runtest || die
}
src_install() {